<%= form_with(model: movie, local: true) do |form| %>
  <% if movie.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(movie.errors.count, "error") %> prohibited this movie from being saved:</h2>

      <ul>
      <% movie.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title %>
  </div>

  <div class="field">
    <%= form.label :release_year %>
    <%= form.number_field :release_year %>
  </div>

  <div class="field">
    <%= form.label :director %>
    <%= form.text_field :director %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
